﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;
using Infragistics.Windows;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void FlatDataSource_ResultChanged(object sender, Infragistics.Olap.ResultChangedEventArgs e)
        {
            SetDimensions(olapChart);
        }

        private void olappie_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            SetDimensions(olapChart);
        }

        public void SetDimensions(XamOlapPieChart olapChart)
        {
            OlapPieChartItemsPanel panel = Utilities.GetDescendantFromType(olapChart, typeof(OlapPieChartItemsPanel), true) as OlapPieChartItemsPanel;
            int pieChartCount = panel.Children.Count;

            double windowHeight = this.ActualHeight;
            double windowWidth = this.ActualWidth;
            
            //Here you can set the "olapChart" ItemHeigh and ItemWidth based on the "pieChartCount" and Window's size
            
        }
    }

}
